import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { AssetMongoModel, AssetRawModel } from '@alien-worlds/aw-antelope';
export type StakeobsvMongoModel = {
    _id?: MongoDB.ObjectId;
    stake_deltas?: AccountStakeDeltaMongoModel[];
    dac_id?: string;
    [key: string]: unknown;
};
export type AccountStakeDeltaMongoModel = {
    _id?: MongoDB.ObjectId;
    account?: string;
    stake_delta?: AssetMongoModel;
    unstake_delay?: number;
    [key: string]: unknown;
};
export type StakeobsvRawModel = {
    stake_deltas?: AccountStakeDeltaRawModel[];
    dac_id?: string;
    [key: string]: unknown;
};
export type AccountStakeDeltaRawModel = {
    account?: string;
    stake_delta?: AssetRawModel;
    unstake_delay?: number;
    [key: string]: unknown;
};
