import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Stakeobsv, AccountStakeDelta } from "../../domain/entities";
import { StakeobsvMongoModel, StakeobsvRawModel, AccountStakeDeltaMongoModel, AccountStakeDeltaRawModel } from "../dtos/stakeobsv.dto";
export declare class StakeobsvMongoMapper extends MongoMapper<Stakeobsv, StakeobsvMongoModel> {
    constructor();
    toEntity(mongoModel: StakeobsvMongoModel): Stakeobsv;
}
export declare class AccountStakeDeltaMongoMapper extends MongoMapper<AccountStakeDelta, AccountStakeDeltaMongoModel> {
    constructor();
    toEntity(mongoModel: AccountStakeDeltaMongoModel): AccountStakeDelta;
}
export declare class StakeobsvRawMapper extends MapperImpl<Stakeobsv, StakeobsvRawModel> {
    fromEntity(entity: Stakeobsv): StakeobsvRawModel;
    toEntity(rawModel: StakeobsvRawModel): Stakeobsv;
}
export declare class AccountStakeDeltaRawMapper extends MapperImpl<AccountStakeDelta, AccountStakeDeltaRawModel> {
    fromEntity(entity: AccountStakeDelta): AccountStakeDeltaRawModel;
    toEntity(rawModel: AccountStakeDeltaRawModel): AccountStakeDelta;
}
