import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Updateconfig, ConfigItem } from "../../domain/entities";
import { UpdateconfigMongoModel, UpdateconfigRawModel, ConfigItemMongoModel, ConfigItemRawModel } from "../dtos/updateconfig.dto";
export declare class UpdateconfigMongoMapper extends MongoMapper<Updateconfig, UpdateconfigMongoModel> {
    constructor();
    toEntity(mongoModel: UpdateconfigMongoModel): Updateconfig;
}
export declare class ConfigItemMongoMapper extends MongoMapper<ConfigItem, ConfigItemMongoModel> {
    constructor();
    toEntity(mongoModel: ConfigItemMongoModel): ConfigItem;
}
export declare class UpdateconfigRawMapper extends MapperImpl<Updateconfig, UpdateconfigRawModel> {
    fromEntity(entity: Updateconfig): UpdateconfigRawModel;
    toEntity(rawModel: UpdateconfigRawModel): Updateconfig;
}
export declare class ConfigItemRawMapper extends MapperImpl<ConfigItem, ConfigItemRawModel> {
    fromEntity(entity: ConfigItem): ConfigItemRawModel;
    toEntity(rawModel: ConfigItemRawModel): ConfigItem;
}
