import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Config } from "../../domain/entities";
import { ConfigMongoModel, ConfigRawModel } from "../dtos/config.dto";
export declare class ConfigMongoMapper extends MongoMapper<Config, ConfigMongoModel> {
    constructor();
    toEntity(mongoModel: ConfigMongoModel): Config;
}
export declare class ConfigRawMapper extends MapperImpl<Config, ConfigRawModel> {
    fromEntity(entity: Config): ConfigRawModel;
    toEntity(rawModel: ConfigRawModel): Config;
}
