import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Weights } from "../../domain/entities";
import { WeightsMongoModel, WeightsRawModel } from "../dtos/weights.dto";
export declare class WeightsMongoMapper extends MongoMapper<Weights, WeightsMongoModel> {
    constructor();
    toEntity(mongoModel: WeightsMongoModel): Weights;
}
export declare class WeightsRawMapper extends MapperImpl<Weights, WeightsRawModel> {
    fromEntity(entity: Weights): WeightsRawModel;
    toEntity(rawModel: WeightsRawModel): Weights;
}
