"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Config = void 0;
class Config {
    timeMultiplier;
    id;
    constructor(timeMultiplier, id) {
        this.timeMultiplier = timeMultiplier;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            timeMultiplier: this.timeMultiplier,
        };
    }
    static create(timeMultiplier, id, rest) {
        const entity = new Config(timeMultiplier, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Config(0);
    }
}
exports.Config = Config;
