import { Container } from '@alien-worlds/aw-core';
import { MongoConfig, MongoSource } from '@alien-worlds/aw-storage-mongodb';
import { StkvtWorldsActionRepository } from './actions/domain/repositories';
import { StkvtWorldsContractService } from "./services/stkvt-worlds-contract.service";
import { StkvtWorldsDeltaRepository } from './deltas/domain/repositories';
import { AntelopeRpcSourceImpl } from '@alien-worlds/aw-antelope';
export declare const setupStkvtWorldsActionRepository: (mongo: MongoSource | MongoConfig, container?: Container) => Promise<StkvtWorldsActionRepository>;
export declare const setupStkvtWorldsDeltaRepository: (mongo: MongoSource | MongoConfig, container?: Container) => Promise<StkvtWorldsDeltaRepository>;
export declare const setupStkvtWorldsContractService: (antelopeRpcSourceImpl: AntelopeRpcSourceImpl, serviceUrl: string, container?: Container) => StkvtWorldsContractService;
