import { ConfigRawModel, WeightsRawModel } from '../deltas/data/dtos';
import { AntelopeRpcSourceImpl, AntelopeSmartContractServiceImpl } from '@alien-worlds/aw-antelope';
import { StkvtWorldsContractService } from './stkvt-worlds-contract.service';
import { GetTableRowsOptions, Result } from '@alien-worlds/aw-core';
export declare class StkvtWorldsContractServiceImpl extends AntelopeSmartContractServiceImpl implements StkvtWorldsContractService {
    constructor(antelopeRpcSourceImpl: AntelopeRpcSourceImpl, serviceUrl: string);
    fetchConfig(options?: GetTableRowsOptions): Promise<Result<ConfigRawModel[], Error>>;
    fetchWeights(options?: GetTableRowsOptions): Promise<Result<WeightsRawModel[], Error>>;
}
