import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
export type UpdateconfigMongoModel = {
    _id?: MongoDB.ObjectId;
    new_config?: ConfigItemMongoModel;
    dac_id?: string;
    [key: string]: unknown;
};
export type ConfigItemMongoModel = {
    _id?: MongoDB.ObjectId;
    time_multiplier?: number;
    [key: string]: unknown;
};
export type UpdateconfigRawModel = {
    new_config?: ConfigItemRawModel;
    dac_id?: string;
    [key: string]: unknown;
};
export type ConfigItemRawModel = {
    time_multiplier?: number;
    [key: string]: unknown;
};
