import { ContractAction, MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { DataEntityType } from '../../domain/entities/stkvt-worlds-action';
import { StkvtWorldsActionMongoModel, StkvtWorldsActionRawModel } from '../dtos';
export declare class StkvtWorldsActionMongoMapper extends MongoMapper<ContractAction<DataEntityType>, StkvtWorldsActionMongoModel> {
    fromEntity(entity: ContractAction<DataEntityType>): StkvtWorldsActionMongoModel;
    toEntity(mongoModel: StkvtWorldsActionMongoModel): ContractAction<DataEntityType>;
}
export declare class StkvtWorldsActionProcessorTaskMapper extends MapperImpl<ContractAction<DataEntityType, StkvtWorldsActionRawModel>, StkvtWorldsActionRawModel> {
    fromEntity(entity: ContractAction<DataEntityType, StkvtWorldsActionRawModel>): StkvtWorldsActionRawModel;
    toEntity(rawModel: StkvtWorldsActionRawModel): ContractAction<DataEntityType, StkvtWorldsActionRawModel>;
}
