import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { Asset } from '@alien-worlds/aw-antelope';
export declare class Stakeobsv implements Entity {
    stakeDeltas: AccountStakeDelta[];
    dacId: string;
    id?: string;
    constructor(stakeDeltas: AccountStakeDelta[], dacId: string, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(stakeDeltas: AccountStakeDelta[], dacId: string, id?: string, rest?: UnknownObject): Stakeobsv;
    static getDefault(): Stakeobsv;
}
export declare class AccountStakeDelta implements Entity {
    account: string;
    stakeDelta: Asset;
    unstakeDelay: number;
    id?: string;
    constructor(account: string, stakeDelta: Asset, unstakeDelay: number, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(account: string, stakeDelta: Asset, unstakeDelay: number, id?: string, rest?: UnknownObject): AccountStakeDelta;
    static getDefault(): AccountStakeDelta;
}
