import { Entity, UnknownObject } from "@alien-worlds/aw-core";
export declare class Updateconfig implements Entity {
    newConfig: ConfigItem;
    dacId: string;
    id?: string;
    constructor(newConfig: ConfigItem, dacId: string, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(newConfig: ConfigItem, dacId: string, id?: string, rest?: UnknownObject): Updateconfig;
    static getDefault(): Updateconfig;
}
export declare class ConfigItem implements Entity {
    timeMultiplier: number;
    id?: string;
    constructor(timeMultiplier: number, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(timeMultiplier: number, id?: string, rest?: UnknownObject): ConfigItem;
    static getDefault(): ConfigItem;
}
