"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigItem = exports.Updateconfig = void 0;
class Updateconfig {
    newConfig;
    dacId;
    id;
    constructor(newConfig, dacId, id) {
        this.newConfig = newConfig;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            newConfig: this.newConfig,
            dacId: this.dacId,
        };
    }
    static create(newConfig, dacId, id, rest) {
        const entity = new Updateconfig(newConfig, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Updateconfig(ConfigItem.getDefault(), '');
    }
}
exports.Updateconfig = Updateconfig;
class ConfigItem {
    timeMultiplier;
    id;
    constructor(timeMultiplier, id) {
        this.timeMultiplier = timeMultiplier;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            timeMultiplier: this.timeMultiplier,
        };
    }
    static create(timeMultiplier, id, rest) {
        const entity = new ConfigItem(timeMultiplier, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new ConfigItem(0);
    }
}
exports.ConfigItem = ConfigItem;
