import { ContractDelta, MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { DataEntityType } from '../../domain/entities/stkvt-worlds-delta';
import { StkvtWorldsDeltaMongoModel, StkvtWorldsDeltaRawModel } from '../dtos';
export declare class StkvtWorldsDeltaMongoMapper extends MongoMapper<ContractDelta<DataEntityType>, StkvtWorldsDeltaMongoModel> {
    fromEntity(entity: ContractDelta<DataEntityType>): StkvtWorldsDeltaMongoModel;
    toEntity(mongoModel: StkvtWorldsDeltaMongoModel): ContractDelta<DataEntityType>;
}
export declare class StkvtWorldsDeltaProcessorTaskMapper extends MapperImpl<ContractDelta<DataEntityType, StkvtWorldsDeltaRawModel>, StkvtWorldsDeltaRawModel> {
    fromEntity(entity: ContractDelta<DataEntityType, StkvtWorldsDeltaRawModel>): StkvtWorldsDeltaRawModel;
    toEntity(rawModel: StkvtWorldsDeltaRawModel): ContractDelta<DataEntityType, StkvtWorldsDeltaRawModel>;
}
