"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Weights = void 0;
class Weights {
    voter;
    weight;
    weightQuorum;
    id;
    constructor(voter, weight, weightQuorum, id) {
        this.voter = voter;
        this.weight = weight;
        this.weightQuorum = weightQuorum;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            voter: this.voter,
            weight: this.weight,
            weightQuorum: this.weightQuorum,
        };
    }
    static create(voter, weight, weightQuorum, id, rest) {
        const entity = new Weights(voter, weight, weightQuorum, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Weights('', 0, 0);
    }
}
exports.Weights = Weights;
