import { GetTableRowsOptions, Result, SmartContractService } from '@alien-worlds/aw-core';
import { ConfigRawModel, WeightsRawModel } from '../deltas/data/dtos';
export declare abstract class StkvtWorldsContractService extends SmartContractService {
    static Token: string;
    abstract fetchConfig(options?: GetTableRowsOptions): Promise<Result<ConfigRawModel[], Error>>;
    abstract fetchWeights(options?: GetTableRowsOptions): Promise<Result<WeightsRawModel[], Error>>;
}
